scala.reflect.generic

# Flags

#### object Flags extends Flags

Source
  Flags.scala

Linear Supertypes
Flags, ModifierFlags, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Flags
2. Flags
3. ModifierFlags
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final val ABSOVERRIDE: Int(262144)

   Definition Classes
     ModifierFlags

7. #### final val ABSTRACT: Int(8)

   Definition Classes
     ModifierFlags

8. #### final val ACCESSOR: Int(134217728)

   Definition Classes
     Flags

9. #### final val BRIDGE: Int(67108864)

   Definition Classes
     Flags

10. #### final val BYNAMEPARAM: Int(65536)

    Definition Classes
      ModifierFlags

11. #### final val CAPTURED: Int(65536)

    Definition Classes
      Flags

12. #### final val CASE: Int(2048)

    Definition Classes
      ModifierFlags

13. #### final val CASEACCESSOR: Int(16777216)

    Definition Classes
      ModifierFlags

14. #### final val CONTRAVARIANT: Int(131072)

    Definition Classes
      ModifierFlags

15. #### final val COVARIANT: Int(65536)

    Definition Classes
      ModifierFlags

16. #### final val DEFAULTINIT: Long(2199023255552L)

    Definition Classes
      ModifierFlags

17. #### final val DEFAULTPARAM: Int(33554432)

    Definition Classes
      ModifierFlags

18. #### final val DEFERRED: Int(16)

    Definition Classes
      ModifierFlags

19. #### final val EXISTENTIAL: Long(34359738368L)

    Definition Classes
      Flags

20. #### final val EXPANDEDNAME: Long(68719476736L)

    Definition Classes
      Flags

21. #### final val FINAL: Int(32)

    Definition Classes
      ModifierFlags

22. #### final val IMPLCLASS: Long(137438953472L)

    Definition Classes
      Flags

23. #### final val IMPLICIT: Int(512)

    Definition Classes
      ModifierFlags

24. #### final val INCONSTRUCTOR: Int(131072)

    Definition Classes
      Flags

25. #### final val INTERFACE: Int(128)

    Definition Classes
      ModifierFlags

26. #### final val IS_ERROR: Long(4294967296L)

    Definition Classes
      Flags

27. #### final val JAVA: Int(1048576)

    Definition Classes
      ModifierFlags

28. #### final val LABEL: Int(131072)

    Definition Classes
      Flags

29. #### final val LAZY: Long(2147483648L)

    Definition Classes
      ModifierFlags

30. #### final val LIFTED: Long(17179869184L)

    Definition Classes
      Flags

31. #### final val LOCAL: Int(524288)

    Definition Classes
      ModifierFlags

32. #### final val LOCKED: Long(549755813888L)

    Definition Classes
      Flags

33. #### final val METHOD: Int(64)

    Definition Classes
      Flags

34. #### final val MIXEDIN: Long(34359738368L)

    Definition Classes
      Flags

35. #### final val MODULE: Int(256)

    Definition Classes
      Flags

36. #### final val MODULEVAR: Int(1073741824)

    Definition Classes
      Flags

37. #### final val MUTABLE: Int(4096)

    Definition Classes
      ModifierFlags

38. #### final val OVERLOADED: Long(8589934592L)

    Definition Classes
      Flags

39. #### final val OVERRIDE: Int(2)

    Definition Classes
      ModifierFlags

40. #### final val PACKAGE: Int(16384)

    Definition Classes
      Flags

41. #### final val PARAM: Int(8192)

    Definition Classes
      ModifierFlags

42. #### final val PARAMACCESSOR: Int(536870912)

    Definition Classes
      ModifierFlags

43. #### final val PRESUPER: Long(137438953472L)

    Definition Classes
      ModifierFlags

44. #### final val PRIVATE: Int(4)

    Definition Classes
      ModifierFlags

45. #### final val PROTECTED: Int(1)

    Definition Classes
      ModifierFlags

46. #### final val PickledFlags: Long

    Definition Classes
      Flags

47. #### final val SEALED: Int(1024)

    Definition Classes
      ModifierFlags

48. #### final val SPECIALIZED: Long(1099511627776L)

    Definition Classes
      Flags

49. #### final val STABLE: Int(4194304)

    Definition Classes
      Flags

50. #### final val STATIC: Int(8388608)

    Definition Classes
      ModifierFlags

51. #### final val SUPERACCESSOR: Int(268435456)

    Definition Classes
      Flags

52. #### final val SYNTHETIC: Int(2097152)

    Definition Classes
      Flags

53. #### final val TRAIT: Int(33554432)

    Definition Classes
      ModifierFlags

54. #### final val TRANS_FLAG: Long(274877906944L)

    Definition Classes
      Flags

55. #### final val TRIEDCOOKING: Long(17592186044416L)

    Definition Classes
      Flags

56. #### final val VARARGS: Long(8796093022208L)

    Definition Classes
      Flags

57. #### final val VBRIDGE: Long(4398046511104L)

    Definition Classes
      Flags

58. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

59. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

60. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

61. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

62. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

63. #### def flagToString(flag: Long): String

    Definition Classes
      Flags → ModifierFlags
    Annotations
      @switch()

64. #### def flagsToString(flags: Long): String

    Definition Classes
      Flags

65. #### def flagsToString(flags: Long, privateWithin: String): String

    Definition Classes
      Flags

66. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

67. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

68. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

69. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

70. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

71. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

72. #### val pickledListOrder: List[Long]

    Attributes
      protected
    Definition Classes
      Flags

73. #### def pickledToRawFlags(pflags: Long): Long

    Definition Classes
      Flags

74. #### def rawFlagsToPickled(flags: Long): Long

    Definition Classes
      Flags

75. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

76. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

77. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

78. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

79. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Flags

### Inherited from ModifierFlags

### Inherited from AnyRef

### Inherited from Any